Subject: [CDNi] Triggers "-14"

From: "Murray, Rob (Nokia - GB)" <[email-masked]>
Date: Mon, 16 May 2016 16:01:32 +0000

Hi all,

I've uploaded a "-14" of the triggers draft addressing some of Alexey's comments.

  URL:      https://www.ietf.org/internet-drafts/draft-ietf-cdni-control-triggers-14.txt
  Status:   https://datatracker.ietf.org/doc/draft-ietf-cdni-control-triggers/
  Htmlized: https://tools.ietf.org/html/draft-ietf-cdni-control-triggers-14
  Diff:     https://www.ietf.org/rfcdiff?url2=draft-ietf-cdni-control-triggers-14

The main changes are:

  - Added registries for error codes and trigger types

    Specified what a dCDN should do if it gets a request for a
    trigger it doesn't recognize, new error code "eunsupported".

    Then it made sense to remove the MUST implement the trigger
    types specified in the draft (invalidate/purge/preposition).

    Support for a given trigger type will be something for a
    dCDN to advertise via the FCI interface when that's ready.

    That means a CDN that doesn't want to implement "preposition"
    (for example) can now still be compliant with the interface,
    which seems like a good-thing.

    Error codes are simple, and there for info for the uCDN making
    a request, so I plumped for "Specification Required" for that
    registry. But adding a trigger type seems a lot more involved
    and likely to need wider review, so I've said that should be
    "RFC Required".
	
  - Now the media type for all the JSON messages defined by this
    RFC MUST have a "+json". Examples updated to match.

  - Made it clear that the URLs are http/https URLs.

  - Added normative refs RFC-1930 (for AS numbers), RFC-5226 (IANA).

Any objections/comments, please let me know.

(Alexey - I don't think we've concluded on all your AD review comments, but
I thought it'd be worth to pushing out an update anyway to keep the ball
rolling. Let me know if any further change or discussion is needed. The last
email was https://mailarchive.ietf.org/arch/msg/cdni/UnT_ClDjhu9jrBfw-W6jKoMsbXI )

Cheers,
Rob.